[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# BsrByte

Return the position of the leftmost set bit in an 8-bit value

## Declaration

Source position: systemh.inc line 1088

`function BsrByte(`
`const AValue: Byte`
`):Byte;`

## Description

BsfByte scans the byte AValue, starting at the leftmost position and working towards position 0, and returns the index of the first set bit. The position is measured from the 0-th, rightmost bit.

When the input is 0, the result is 255 (unsigned equivalent of -1).

## See also

BsfByte |  | Return the position of the rightmost set bit in an 8-bit value
BsrWord |  | Return the position of the leftmost set bit in a 16-bit value
BsrDWord |  | Return the position of the leftmost set bit in a 32-bit value
BsrQWord |  | Return the position of the leftmost set bit in a 64-bit value